## ruby-with-advisory-lock 5.1.0

=== debian/changelog ===
ruby-with-advisory-lock (5.1.0-4) unstable; urgency=medium

  * debian/copyright:  Update my copyright entry to include 2025.
  * debian/patches/fix-tests-w-rails7.patch:  Add forwarded URL.
  * debian/salsa-ci.yml:  Update with currently recommended default content.

 -- Soren Stoutner <soren@debian.org>  Sat, 19 Apr 2025 15:18:08 -0700

ruby-with-advisory-lock (5.1.0-3) unstable; urgency=medium

  Team upload.

  [ Soren Stoutner ]
  * debian/control:  Bump standards version to 4.7.2, no changes needed.

  [ Antonio Terceiro ]
  * Add patch to fix tests with rails 7. (Closes: #1095888)

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 11 Mar 2025 00:48:26 +0530

ruby-with-advisory-lock (5.1.0-2) unstable; urgency=medium

  * Source upload to allow migration to testing.

 -- Soren Stoutner <soren@debian.org>  Sat, 07 Dec 2024 11:41:52 -0700

ruby-with-advisory-lock (5.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #1085285)

 -- Soren Stoutner <soren@debian.org>  Tue, 22 Oct 2024 09:56:13 -0700
