## ruby-with-advisory-lock 5.3.0

=== debian/changelog ===
ruby-with-advisory-lock (5.3.0-2) unstable; urgency=medium

  * debian/control:  Add Build-Depends on dh-sequence-ruby.
  * debian/rules:  Remove obsolete "--with ruby".

 -- Soren Stoutner <soren@debian.org>  Mon, 18 Aug 2025 15:47:07 -0700

ruby-with-advisory-lock (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Remove debian/patches/fix-tests-w-rails7.patch, applied upstream.
  * debian/control:
    - Remove obsolete gem2deb version constraint of "(>= 1)".
    - Remove obsolete "Rules-Requires-Root: no".
    - Refactor binary package description.
  * debian/copyright:  Update upstream copyright information.

 -- Soren Stoutner <soren@debian.org>  Thu, 12 Jun 2025 15:09:21 -0700
