=== debian/control ===
Source: ruby-with-advisory-lock
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Soren Stoutner <soren@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-ruby,
               gem2deb,
               rake,
               ruby-activerecord (>= 2:6.1),
               ruby-zeitwerk (>= 2.6),
               ruby-maxitest <!nocheck>,
               ruby-mocha <!nocheck>,
               ruby-sqlite3 <!nocheck>
Homepage: https://github.com/ClosureTree/with_advisory_lock
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-with-advisory-lock.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-with-advisory-lock
Testsuite: autopkgtest-pkg-ruby
Standards-Version: 4.7.2

Package: ruby-with-advisory-lock
Architecture: all
Depends: ${misc:Depends},
         ${ruby:Depends},
         ${shlibs:Depends}
Description: Advisory locking (mutexes) for ActiveRecord when used with MySQL or PostgreSQL
 WithAdvisoryLock adds advisory locking (mutexes) to ActiveRecord, jruby or
 truffleruby, when used with MySQL or PostgreSQL.
 .
 An advisory lock is a mutex used to ensure no two processes run some process at
 the same time. When the advisory lock is powered by your database server, your
 mutex spans hosts.
